Bug 983153 - Does not configure winbind for krb5 auth
Does not configure winbind for krb5 auth
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 985819
  Show dependency treegraph
 
Reported: 2013-07-10 11:52 EDT by David Woodhouse
Modified: 2013-08-01 23:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: realmd-0.14.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 985819 (view as bug list)
Environment:
Last Closed: 2013-08-01 23:46:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 66831 None None None Never

  None (edit)
Description David Woodhouse 2013-07-10 11:52:21 EDT
When I use realmd to join a domain with winbind, I would expect it to set the 'krb5_auth=yes' and 'krb5_ccache_file=FILE' options in pam_winbind.conf. And probably also 'cached_login=yes'.

It doesn't appear to do so.
Comment 1 Stef Walter 2013-07-11 13:30:28 EDT
(In reply to David Woodhouse from comment #0)
> When I use realmd to join a domain with winbind, I would expect it to set
> the 'krb5_auth=yes' and 'krb5_ccache_file=FILE' options in pam_winbind.conf.

You probably mean krb5_ccache_type=FILE right? But seems to make sense.

> And probably also 'cached_login=yes'.

Makes sense.
Comment 2 David Woodhouse 2013-07-11 16:01:27 EDT
Yes, I did mean that. Sorry. And it should be in the right place, not /tmp/krb5cc_%{uid}.
Comment 3 Stef Walter 2013-07-15 09:12:23 EDT
Patch upstream for realmd. Although think that /tmp/krb5cc_%U is hard coded into samba. :(
Comment 4 Fedora Update System 2013-07-22 12:34:59 EDT
realmd-0.14.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/realmd-0.14.3-1.fc19
Comment 5 Fedora Update System 2013-07-23 23:25:32 EDT
Package realmd-0.14.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13467/realmd-0.14.3-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-01 23:46:25 EDT
realmd-0.14.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.